#
# spec file for package freeswan (Version 1.99_0.9.34)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf bin86 gmp kernel-source libpcap modutils openssl openssl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bin86 binutils cracklib gcc gdbm gettext gmp kernel-source libpcap libtool openssl-devel perl rpm

Name:         freeswan
%define fversion 1.99
%define f2version 1.99
%define xversion 0.9.34
%define x509dir x509patch-%{xversion}-freeswan-%{fversion}
%define nattdir NAT-Traversal-%{nattversion}
Version:      1.99_0.9.34
Release:      93
License:      GPL
Group:        Productivity/Networking/Security
Provides:     pluto klips ipsec VPN
PreReq:       gmp %insserv_prereq %fillup_prereq
Autoreqprov:  on
Summary:      IPsec implementation which allows building VPNs
Source:       ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{fversion}.tar.gz
Source1:      ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{fversion}.tar.gz.sig
Source2:      RFCs.tar.bz2
Source4:      http://www.strongsec.com/freeswan/%{x509dir}.tar.gz
# Documentation
Source11:     http://www.strongsec.com/freeswan/install.htm
Source12:     http://tirnanog.ls.fi.upm.es/CriptoLab/Biblioteca/InfTech/InfTech_CriptoLab.htm
Source13:     http://tirnanog.ls.fi.upm.es/CriptoLab/Biblioteca/InfTech/IPsec_between_Win2000_FreeSWAn_and_PGPnet.pdf
Source14:     http://vpn.ebootis.de/vpn/index.html
Source15:     http://vpn.ebootis.de/vpn/cert.htm
Source16:     http://vpn.ebootis.de/vpn/ipsec-conf.htm
Source17:     http://www.strongsec.com/freeswan/pgpnet/step-by-step.tar.gz
Source20:     rc.config.ipsec
Source25:     usagi-fswan198b.tar.bz2
Source30:     pfkey-usagi-20030106.tar.bz2
Source31:     usagi-bulk.diff
Source40:     README.SuSE
Source41:     README.UnitedLinux
Source50:     look.tar.gz
Patch:        freeswan-%{f2version}.diff
Patch5:       freeswan-%{f2version}-strace.diff
Patch7:       freeswan-%{f2version}-newhostkey.diff
Patch8:       freeswan-%{f2version}-fixrc.diff
Patch10:      freeswan-%{f2version}-verify.diff
Patch13:      freeswan-%{f2version}-ip_select_ident-2419.diff
Patch14:      freeswan-%{f2version}-lib64.diff
Patch15:      freeswan-1.98-nospinew.diff
Patch17:      freeswan-%{f2version}-rpmoptflags.diff
Patch19:      freeswan-%{f2version}-nodepmod.diff
Patch20:      freeswan-%{f2version}-64bit.diff
Patch23:      freeswan-%{f2version}-spi_gcc33.diff
Patch24:      freeswan-%{f2version}-make_testing.diff
Patch25:      x509-0.9.34-pkcs7.diff
Patch30:      pfkey.diff
Patch31:      freeswan-1.98b-v4tunnel.patch
Patch32:      freeswan-1.98b-lifetime.patch
Patch33:      compile.patch
Patch35:      freeswan-1.98-ignore-compress.diff
Patch36:      freeswan-%{fversion}-usagi-del-ipip.diff
Patch37:      freeswan-%{fversion}-usagi-eroute-tproto.diff
Patch41:      http://open-source.arkoon.net/freeswan/notify_delete-freeswan-1.98b-020904.diff.gz
Patch49:      nat-t-vendor.diff
Patch50:      snapgear-dpd2.diff
Patch51:      dpd-sfs2.diff
Patch60:      http://www.jacco2.dds.nl/networking/freeswan-msl2tp-payload-malformed-workaround.patch
Patch72:      freeswan-%{f2version}-SL7x.diff
Patch80:      startklips-startanyway.diff
URL:          http://www.xs4all.nl/~freeswan/
Prefix:       /usr
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
FreeS/WAN is an IPsec implementation which allows building Virtual
Private Networks (VPNs). A typical VPN setup consists of two trusted
networks, connected over an insecure network, typically the Internet.
FreeS/WAN allows you to create an encrypted tunnel through the insecure
area. Unlike CIPE, it is interoperable with other operating systems or
even routers IPsec implementations.

There is no longer support for the insecure DES algorithm. For
interoperability your partner also needs to understand 3DES encryption.

SuSE has added the X.509 support (http://www.strongsec.com/freeswan/)
for you.

It contains strong cryptographic routines. The US government does not
allow to (re)export this software out of the US, regardless of where it
has been written. Nowadays, you may register with the US authorities
and may get granted a license to export it though. Some other countries
(Russia, France, ...) may also have regulations preventing the import,
export or usage of this piece of software.



Authors:
--------
    John Gilmore <gnu@toad.com>
    Henry Spencer <henry@spsystems.net>
    Richard Guy Briggs <rgb@conscoop.ottawa.on.ca>
    Hugh Redelmeier <hugh@mimosa.com>
    Sandy Harris <sandy.harris@sympatico.ca>
    Hugh Daniels <hugh@toad.com>

%package -n freeswan-libdes
Summary:      libdes as used inside FreeS/WAN
Group:        SuSE internal
License:      BSD

%description -n freeswan-libdes
The libdes library for DES de/encryption.



Authors:
--------
    Eric Young <eay@cryptsoft.com>

%define kversion %(uname -r)
%define kmoddir %(test `uname -r | cut -c1,3 ` -ge 24 && echo /lib/modules/`uname -r`/kernel/net/ipv4 || echo /lib/modules/`uname -r`/ipv4)
%prep
%setup -q -b30 -b25 -b4 -b0 -n freeswan-%{fversion}
%patch -p1
%patch5 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch13 -p1
%patch14 -p1
#%patch15 -p1
%patch17 -p1
%patch19 -p1
%patch20 -p1
%patch23 -p1
%patch24 -p1
%if %suse_version <= 731
%patch72 -p1
%endif
patch -p1 < ../%{x509dir}/freeswan.diff
%patch25 -p1
chmod +x pluto/oid.pl
cp -p %SOURCE31 ../userland/
for name in ../userland/*.diff; do 
  echo $name; patch -p1 <$name;  
done
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
mv doc/README doc/README.doc
cp -p $RPM_SOURCE_DIR/RFCs.tar.bz2 .
echo KVERSION:%{kversion}
echo KMODDIR:%{kmoddir}
chown root:root -R .
cd ../usagi
%patch30 -p1
cd ../%{x509dir}
#%patch2 -p1
mv README x509.README
mv CHANGES x509.CHANGES
# Use meaningful file names for docu
cd ${RPM_SOURCE_DIR}
cp -p install.htm x509-install.html
cp -p InfTech_CriptoLab.htm x509-interop-w2k-pgpnet.html
cp -p index.html x509-w2k-ipsec.conf.html
tar xvzf step-by-step.tar.gz
rm -rf x509-step-by-step
mv step-by-step x509-step-by-step
chown root:root -R .
find -name ".cvsignore" | xargs rm -fv
cd $RPM_BUILD_DIR/freeswan-%{fversion}
# Delete Notifier
%patch41 -p1
# Dead-Peer-Detection (SnapGear, SuperFreeSWAN)
%patch49 -p1
%patch50 -p1
%patch51 -p1
# MSL2TP workaround
%patch60 -p0
%patch80 -p1
%define arch $(uname -m | sed 's/i[4-7]86/i386/')
cd /usr/src/linux; 
if test ! -e .config; then 
	cp -p arch/%{arch}/defconfig.default .config; 
	make oldconfig; make dep
fi

%build
make programs prefix=/usr DESTDIR=$RPM_BUILD_ROOT \
	RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_USAGI"
test -e pluto/pluto
cd ../usagi/pfkey
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-linux-kernel=/usr/src/linux \
	--prefix=/usr --mandir=%{_mandir}
make CFLAGS="$RPM_OPT_FLAGS -I. -I/usr/src/linux/include"

%install
make install prefix=/usr LIBDIR=$RPM_BUILD_ROOT%{_libdir} LIBD=%{_lib} DESTDIR=$RPM_BUILD_ROOT
tar xvzf %SOURCE50 -C $RPM_BUILD_ROOT/usr/lib/ipsec
#make minstall
install -m 755 -d $RPM_BUILD_ROOT/%{kmoddir}
ln -sf ../../etc/init.d/ipsec $RPM_BUILD_ROOT/usr/sbin/rcipsec
install -d -m 750 $RPM_BUILD_ROOT/etc/ipsec.d/cacerts
install -d -m 750 $RPM_BUILD_ROOT/etc/ipsec.d/crls
install -d -m 700 $RPM_BUILD_ROOT/etc/ipsec.d/private
# We generated and installed a key during build. Throw away (safe in BuildRoot)
rm $RPM_BUILD_ROOT/etc/ipsec.secrets
touch $RPM_BUILD_ROOT/etc/ipsec.secrets
#sed "s#KVERSION#`uname -r`#g" <$RPM_SOURCE_DIR/freeswan.files.in >freeswan.files
%if %suse_version <= 731
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 0644 %SOURCE20  $RPM_BUILD_ROOT/var/adm/fillup-templates/
%endif
cp -p %{SOURCE40} %{SOURCE41} .
# Make km_freeswan subpackage
cd $RPM_BUILD_DIR/freeswan-%{fversion}
# pfkey
cd ../usagi/pfkey
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir} install
mv $RPM_BUILD_ROOT/usr/sbin/restore $RPM_BUILD_ROOT/usr/sbin/pfkey-restore
mv $RPM_BUILD_ROOT/%_mandir/man3/des_crypt.3 \
   $RPM_BUILD_ROOT/%_mandir/man3/freeswan_des_crypt.3

%files
%defattr(-,root,root)
#/dev/ipsec
#%{kmoddir}/ipsec.o
/usr/sbin/ipsec
/usr/sbin/rcipsec
/usr/lib/ipsec/
%doc %{_mandir}/man3/ipsec*
%doc %{_mandir}/man5/ipsec*
%doc %{_mandir}/man8/ipsec*
%config /etc/init.d/ipsec
%attr(600,root,root) %config(noreplace) /etc/ipsec.secrets
#%attr(600,root,root) %config /etc/ipsec.secrets.rpmbuild
%config(noreplace) /etc/ipsec.conf
%dir /etc/ipsec.d/
%dir /etc/ipsec.d/cacerts
%dir /etc/ipsec.d/crls
%dir %attr(700,root,root) /etc/ipsec.d/private
%doc BUGS CHANGES COPYING CREDITS INSTALL README 
%doc README.SuSE README.UnitedLinux README.selectors
%doc doc/*.html doc/README.doc doc/standards doc/Makefile
%doc doc/*.notes doc/examples doc/prob.report doc/iab-iesg.stmt RFCs.tar.bz2
%doc doc/*.howto doc/*.spec doc/*.known-issues doc/*.txt
%doc ../%{x509dir}/x509.README
%doc ../%{x509dir}/x509.CHANGES ../%{x509dir}/ipsec.secrets.template
%doc $RPM_SOURCE_DIR/x509-install.html
%doc $RPM_SOURCE_DIR/x509-interop-w2k-pgpnet.html
%doc $RPM_SOURCE_DIR/x509-w2k-ipsec.conf.html
%doc $RPM_SOURCE_DIR/x509-step-by-step
%if %suse_version <= 731
/var/adm/fillup-templates/rc.config.ipsec
%endif
# Dead Peer Detection
%doc README.DPD
# pfkey
%attr(755,root,root) /usr/sbin/pfkey
%attr(755,root,root) /usr/sbin/pfkey-restore
%attr(755,root,root) /usr/sbin/ipsec-conf
%attr(755,root,root) /usr/sbin/sadb_save
%attr(755,root,root) /usr/sbin/sadb_show
%attr(755,root,root) /usr/sbin/spd_save
%attr(755,root,root) /usr/sbin/spd_show
%doc %{_mandir}/man8/pfkey.8.gz

%files -n freeswan-libdes
%defattr(-,root,root)
/usr/include/des.h
/usr/%{_lib}/libdes.a
%doc %{_mandir}/man3/freeswan_des_crypt.3.gz
%doc libdes/README libdes/README.freeswan libdes/COPYRIGHT libdes/VERSION

%clean
#make unpatch
test -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" || rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/freeswan-%{fversion}
rm -rf $RPM_BUILD_DIR/%{x509dir}
rm -rf $RPM_SOURCE_DIR/x509-step-by-step
rm -f $RPM_SOURCE_DIR/x509-*.html

%post
%{fillup_and_insserv ipsec}
%if %suse_version <= 731
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ipsec
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ipsec and "
  echo "update manually."
fi
%endif
if test ! -s etc/ipsec.secrets; then
  echo "Generating new rsasigkey for ipsec.secrets ..."
  cat >etc/ipsec.secrets.tmp << EOF
# This file holds shared secrets or RSA private keys for inter-Pluto
# authentication.  See ipsec_pluto(8) manpage, and HTML documentation.
#
# RSA private key for this host, authenticating it to any other host
# which knows the public part.  Suitable public keys, for ipsec.conf, DNS,
# or configuration of other implementations, can be extracted conveniently
# with "ipsec showhostkey".
EOF
  echo ': RSA	{' >> etc/ipsec.secrets.tmp
%ifarch s390 s390x ppc ppc64
  # S/390(x) and PPC(64) kernels do not generate enough entropy even during an
  # installation(!) to produce good random numbers for the RSA key generation.
  # Defer to sysadmin.
  echo " S/390(x) and PPC(64) do not reliably offer enough entropy :-("
  #if usr/lib/ipsec/rsasigkey --random dev/urandom 2048 >> etc/ipsec.secrets.tmp; then
  if false; then
%else
  if usr/lib/ipsec/rsasigkey 2048 >> etc/ipsec.secrets.tmp; then
%endif
    echo '  }' >> etc/ipsec.secrets.tmp
    echo '# do not change the indenting of that "}"' >> etc/ipsec.secrets.tmp
    chmod 600 etc/ipsec.secrets.tmp
    mv -f etc/ipsec.secrets.tmp etc/ipsec.secrets
  else
    rm -f etc/ipsec.secrets.tmp
    echo -e "\e[31m IPsec RSA signature key could not be generated!\e[m\017"
    echo " Generate one manually with \"ipsec newhostkey --output /etc/ipsec.secrets\""
    echo " Generate an RSA key with \"ipsec newhostkey --output /etc/ipsec.secrets\"" >etc/ipsec.secrets
    echo " Make sure, your kernel has enough entropy by e.g. using the keyboard." >>etc/ipsec.secrets
  fi
else
  echo "Leave old IPsec RSA signature key untouched."
  # Remove empty ipsec.secrets.rpmnew
  if test -e etc/ipsec.secrets.rpmnew -a ! -s etc/ipsec.secrets.rpmnew; then
    rm etc/ipsec.secrets.rpmnew
  fi
fi
exit 0
#%preun
#usr/sbin/rcipsec stop

%preun
# Some people expect to not loose their secrets even after multiple rpm -e.
if test -s etc/ipsec.secrets.rpmsave; then
  cp -p --backup=numbered etc/ipsec.secrets.rpmsave etc/ipsec.secrets.rpmsave.old
fi
exit 0

%postun
%{insserv_cleanup}

%changelog -n freeswan
* Fri Jun 25 2004 - lnussel@suse.de
- Fix for certificate chain authentication bug (#42153)
* Sun May 23 2004 - garloff@suse.de
- Fix compile problem: oid.pl needs to be marked executable, as
  it's called in case the buildsys decides oid.c needs recreation.
* Mon Sep 22 2003 - garloff@suse.de
- Sample config: Make it working. conn %%default should precede
  real configs. [#31294]
- ipsec look: Parse spd and sadb to produce diagnostic output
  [#29356].
* Sat Sep 20 2003 - garloff@suse.de
- Patch from lnussel to make KLIPS start even in absence of a
  defaultroute (needed for hotplugging support).
* Sat Sep 20 2003 - garloff@suse.de
- Really pass _USAGI define to make. Sigh!
- Fix compilation with _USAGI.
  Both together should fix #31462, which basically rendered
  FreeS/WAN inoperational.
* Sat Sep 20 2003 - garloff@suse.de
- #31294: Delete SA_IPIP as well, otherwise we leak them with USAGI
  kernel space.
- Only configure kernel sources if necessary.
* Fri Sep 12 2003 - garloff@suse.de
- Configure kernel sources before compiling.
* Tue Sep 02 2003 - mmj@suse.de
- Rename the des_crypt.3 manpage to freeswan_des_crypt.3 to avoid
  conflict with the des_crypt.3 from the man-pages package
* Mon Aug 18 2003 - garloff@suse.de
- Adapt freeswan to USAGI/CGL kernels:
  * Apply USAGI patches. Adapt usagi-bulk.diff to 1.99.
  * Build pfkey utilities.
  * Remove NAT-Traversal patch (except for nat-t-vendor.diff,
  providing infrastructure needed for dead-peer-detection).
  * Remove Alg patches.
  * Adapt Dead-Peer-Detection.
- Add missing README.selectors.
* Sat Aug 16 2003 - garloff@suse.de
- Fix missing paragraph in ipsec.conf manpage.
- Add patch to support MS L2TP (#28134).
* Fri Aug 15 2003 - garloff@suse.de
- Merge Dead Peer Detection Patch from SnapGear and integrate
  the changes from SuperFreeS/WAN. DPD allows to detect failed
  peers and to take action on this.
- Resolve patch conflicts.
* Sat Aug 09 2003 - garloff@suse.de
- Update X.509 patch to version 0.9.34:
  * Allow sending multiple certificate request payloads in IKE
  Main Mode when answering to road warrior. Improves interoper-
  ability with Cisco.
  * Handle multiple CR payloads.
  * port selectors: Fix bug that allowed all ports to be tunneled.
  * Handle missing issuer field in (raw) RSA keys.
  * DN wildcards allow more complex setups to set policies for
  classes of connections.
  * New parameters %%rightca and %%leftca allow policies based on
  issuing CAs. Transmit CA parameters to other side. (Helps
  with Cisco, switch off with nocrsend=yes.) %%same copies CA
  from other side.
  * $PLUTO_PEER_CA passes peer's CA to updown script.
  * /etc/x509cert.der default cert support discontinued.
  * Fix bug that prevented connections without rightid parameter
  to be initiated.
  * Multiple minor bugs.
* Tue Mar 11 2003 - garloff@suse.de
- Remove gcc2_compiled. from perlasm crypto module production
  process. Otherwise modutils refuses to load into gcc3 compiled
  kernel. [Fixes bug #24955]
* Mon Mar 10 2003 - garloff@suse.de
- Fix 2&>1 -> 2>&1 after modprobe [bug #24955]
- Document that NAT-Traversal is NOT in SuSE Linux kernel :-(
* Tue Mar 04 2003 - garloff@suse.de
- Fix C'n'P error that made module build fail.
* Wed Feb 26 2003 - garloff@suse.de
- Clean up README.SuSE and make it a source file.
- nat_traversal and ike=,esp= parameters in example config file.
* Wed Feb 26 2003 - garloff@suse.de
- Detect pluto build failures
- Fix libsha2 building: CFLAGS and includes missing
- Modularize ipsec algos and load as needed
- Disable kernel UDP patches in kernel module sources
- Clean up (kill pluto) even if ipsec does not appear to be running
* Mon Feb 24 2003 - garloff@suse.de
- Prevent removal of other modules by overeager modules_install
  target of kernel makefile.
* Mon Feb 24 2003 - garloff@suse.de
- Enable NAT-Traversal patches 0.5a to allow encapsulating ESP
  packets in UDP.
* Mon Feb 24 2003 - garloff@suse.de
- Apply alg-0.8.0 patch to support more cipher and hash algorithms.
  Compile in 3DES and AES ciphers, MD5 and SHA hash algos.
  Additionally build TWOFISH cipher and SHA2 hash algo as modules.
- Simplify kernel module build process.
* Mon Feb 24 2003 - garloff@suse.de
- Update to X.509 patch 0.9.23:
  * A lost source code line caused E=, Email= nad TCGID= attributes
  in distinguished names not to be parsed. Fixed.
- Update to X.509 patch 0.9.22:
  * Support for the following attributes for dist. names:
  UID (userID), DC (domainComponent), ID (x500UniqueIdentifier)
  * improved RSA private key selection mechanism: Always finds the
  correct private key corresponding to a public key contained in
  a loaded certificate.
* Fri Feb 21 2003 - garloff@suse.de
- Remove ssh and $netdaemons from Required-Start.
* Sat Feb 08 2003 - garloff@suse.de
- Explicitly specify -D__KERNEL__ in kernel module Makefile
  (needed for 2.2.x)
* Thu Feb 06 2003 - garloff@suse.de
- Only include needed utils and pluto headers in km_freeswan.
* Wed Feb 05 2003 - garloff@suse.de
- Include pluto headers in km_freeswan :-(
* Wed Feb 05 2003 - garloff@suse.de
- Pass Makefile flags down to UML testing utils
- Fix problems with gcc-3.3 (multiline strings)
* Mon Feb 03 2003 - schwab@suse.de
- Make portable to vanilla kernel.
- Allow building as unprivileged user.
* Wed Jan 29 2003 - garloff@suse.de
- Update to X.509 patch 0.9.21
  * Coexistence with opportunistic encryption now possible.
- Update to X.509 patch 0.9.20
  * scan_proc_shunts() erroneously registered ports of orphaned
  %%hold eroutes. Fixed.
- Update to X.509 patch 0.9.19
  * Dynamically created %%hold eroutes do not block part of traffic
  any more.
- Update to X.509 patch 0.9.18
  * route_owner() had bug in not considering selectors in finding
  eroutes. Fixed. Multiple SAs for multiple protocols possible.
  * find_client_connection() now can find SAs with selectors.
  * protocol/port debugging output
- Update to X.509 patch 0.9.17
  * demux bugfix avoiding conflict with selectors patch.
- Update to X.509 patch 0.9.16
  * Port and Protocol selector patch 1.1 from Stephen J Bevan
  integrated. Port and Protocol based eroutes for outbound
  traffic. (For inbound: need firewall rules).
  * bugfix in _updown.x509 iptables call for inbound traffic
- Update to FreeS/WAN-1.99:
  * iptables used in redhat package, 500/udp needs to be opened
  manually.
  * libdes gcc3 fixes for modules.
  * potential DOS fix got merged (see 2002-10-28 changelog).
- Update docu
* Mon Oct 28 2002 - garloff@suse.de
- Add length check in ipsec_rcv before calculating hash.
* Fri Oct 25 2002 - froh@suse.de 
- don't generate a key because of missing entropy on s390x as well.
  (#21276)
* Mon Oct 21 2002 - meissner@suse.de
- Made it work on 64bit kernels and/or 64bit userland.
* Sat Oct 05 2002 - garloff@suse.de
- Use %%suse_version in spec for compatibility to older SuSE
  versions.
* Sat Oct 05 2002 - garloff@suse.de
- Merge delete_notify patch: Send notifications on various events
  and accept delete events.
* Sat Oct 05 2002 - garloff@suse.de
- Update to X.509 patch 0.9.15:
  * Escape shell metacharacters in env. variables PLUTO_MY_PID
  and PLUTO_PEER_ID (security reasons).
* Fri Sep 27 2002 - garloff@suse.de
- Sigh, it's apparently a ppc (32bit) package. So add ppc to the
  blacklist.
* Fri Sep 27 2002 - garloff@suse.de
- PPC64 needs same workaround as S/390 b/c missing entropy. #20290.
* Wed Sep 25 2002 - garloff@suse.de
- Don't generate RSA host key when installing on S/390 as the
  kernel there fails to generate enough entropy during the
  installation(!). Defer to poor sysadmin. #19959
* Sun Sep 08 2002 - kukuk@suse.de
- Fix PreRequires (add insserv and fillup)
* Mon Aug 26 2002 - garloff@suse.de
- Don't call depmod -a from _startklips (#18321)
* Mon Aug 12 2002 - ro@suse.de
- re-added prereq for gmp
* Sun Aug 11 2002 - garloff@suse.de
- Activate the verify patch.
* Sun Aug 11 2002 - garloff@suse.de
- Do backups ipsec.secrets.rpmsave to prevent losing secrets
  when doing rpm -e twice. (#14603)
* Sun Aug 11 2002 - garloff@suse.de
- Add patch to ipsec verify util to allow checking of other hosts
  with the --host XXXX option (useful for checking if DNS works)
- Update to X.509 patch 0.9.14:
  * Allow specification of source and/or dest port in connection
  definition. KLIPS does NOT enforce these, so it's (currently)
  only useful for your Firewall rules. The _updown.x509 script
  in the utils dir can be used as template ...
  * Optional setting strictcrlpolicy=yes refuses certs if the
  CRL is not found or too old. (Default is no.)
  * ipsec auto --listcerts/--listcacerts now additionally lists
  the size and keyid of RSA pub keys in the cert.
* Sat Jul 13 2002 - garloff@suse.de
- Use RPM_OPT_FLAGS when building
- ip_ident_select() that works with 2.4.18 & patched 2.4.19-pre
* Fri Jul 12 2002 - garloff@suse.de
- Remove reference to /proc/net/ipsec_spinew from docu. (#16207)
* Wed Jul 10 2002 - garloff@suse.de
- lib64 fixes
* Wed Jul 10 2002 - garloff@suse.de
- Add some libdes docs.
- Remove ipsec.secrets.rpmbuild again
* Wed Jul 10 2002 - garloff@suse.de
- Add some more docu files.
* Wed Jul 10 2002 - garloff@suse.de
- Update X.509 patch 0.9.13:
  * allow more whack --debug ... command line options
- Update X.509 patch 0.9.12:
  * A single connection definition can handle multiple Virtual IPs
  (useful for roadwarriors behind NAT with IPsec passthrough,
  by Mario Strasser)
  * nocrsend=yes prevents pluto from sending X.509 cert requests
  * Comparison of DNs refined
- Update X.509 patch 0.9.11:
  * Multi-tier X.509 hierarchical trust chains wrapped into PKCS#7
  by XP now supported
  * add timestamps to --listcerts/cacerts/crls logging
* Wed Jul 10 2002 - garloff@suse.de
- Update FreeS/WAN to 1.98b:
  * ipsec showhostkey has the --dhclient option
- Update FreeS/WAN to 1.98:
  * Various pluto fixes
  * Various make related changes
  * Various output cleanups (barf,eroute,showdefaults)
  * left/rightrsasigkey2 for key rollover
  * leftrsasigkey=%%dnsondemand and %%dnsonload (latter = %%dns)
  * leftrsasigkey=%%none to override defaults; leftrsasigkey=%%dns is
  treated as %%none if right=%%any or right=%%opportunistic.
* Thu Jul 04 2002 - schwab@suse.de
- Fix for new kernel.
* Wed May 15 2002 - garloff@suse.de
- Correct opportunistic example in quickstart.html
- Install opportunistic.spec and .howto from doc directory.
* Mon May 13 2002 - ro@suse.de
- rename docu-pdf (current wget will definitely destroy the filename)
* Sat Apr 20 2002 - garloff@suse.de
- Update to FreeS/WAN-1.97:
  * Lots of UML test framework
  * More sanity checks (%%trap, config, ...)
  * ICMP_DEST_UNREACH upon %%reject
  * check RSA sig prior to conn in ipsec_auto
  * rp_filter allowed on ipsec iface, not on underlying physical
  one
  * various small enhancements in utilities
- Update to X509-0.9.10:
  * Support for multiple certs (and corresp. priv.keys) for local
  host; cert sent is specified by leftcert=
  * Default cert now sepcifeid in conn %%default (so
  /etc/x509cert.der is not needed any more)
  * Adopt new FreeS/WAN RSA keyid (9 base64 digits)
  * ASN.1 parser more tolerant against time zone offsets and
  missing seconds
- Update to FreeS/WAN-1.96:
  * Kernel 2.0 compatibility restored
  * Better diagnostics in Pluto/KLIPS for errors
  * eroute sorting by dest (instead of src)
  * KLIPS license officially "Dual BSD/GPL" now
- Update to X509-0.9.9:
  * Better prevention for expired keys
  * No cert request for preloaded rsasigkeys
  (allows interoperability with non X.509 enabled FreeS/WAN)
  * Distinguished name attribute added.
* Fri Mar 15 2002 - garloff@suse.de
- Fix bug #14866: The help message of the init script was wrong.
* Fri Mar 08 2002 - garloff@suse.de
- Fix bug #14603: Missing ipsec.secrets in file list causes it to
  be renamed into ipsec.secrets.rpmsave upon update.
  Added again as empty file with %%config(noreplace) flags and
  adapted RSA key generation in %%post to test for empty file.
* Mon Mar 04 2002 - garloff@suse.de
- Added /etc/ipsec.d/private/ dir (700), changed the crls and
  cacerts to 750 (only public keys there).
- ipsec uses libdes. Module license is "Dual BSD/GPL", not just
  GPL. (libdes is not exactly BSD, but for this purpose suffi-
  ciently close; zlib is BSD. "BSD/GPL" is used in the release
  candidate for 1.96)
* Fri Feb 08 2002 - draht@suse.de
- added freeswan-1.95-zlib-zfree.dif against duplicate free() in
  zlib
* Wed Feb 06 2002 - garloff@suse.de
- Re-add fswcert (had been removed from X509-0.9.8)
- Generate rsa sig key at installation time (#12868)
- Document this
- Add MODULE_LICENSE("GPL")
* Wed Feb 06 2002 - garloff@suse.de
- Update documentation
- Update to FreeS/WAN-1.95:
  * %%hold bug fixed
  * less Pluto logging
  * Pluto cookie generation changes cookie even for the same host
  * UML testing improved
  * ipsec now shorter then ipsec --help
  * various bugfixes and docu improvements
- Update to X509-0.9.8:
  * Ability to extract PKCS#1 RSA keys built into Pluto,
  therefore fswcert no longer needed (nor provided).
  * Distinguished names recognized without leading '@' now
  * leftcert and rightcert for leftid and rightid
* Mon Jan 21 2002 - ro@suse.de
- removed START_IPSEC
* Wed Jan 02 2002 - kukuk@suse.de
- Fix init script requires [Bug #12695]
* Fri Dec 28 2001 - garloff@suse.de
- Update docu.
* Sun Dec 23 2001 - garloff@suse.de
- Use BuildRoot (& related fixes)
- Update to FreeS/WAN-1.94:
  * KLIPS compilation fixes
  * %%hold eroutes handle UDP/500 correctly now (opportunistic)
  * updown script not called twice anymore
- Update to FreeS/WAN-1.93:
  * ICMP "fragmentation needed" now sent by default if needed
  * Diffie-Hellman group 5 prefered over group 2 now in key nego
  * RSA keys fetched via DNS now tried all
  * Handle fragmented IKE packets correctly
  * _updown does not complain if custom arg is found
  * Report "cannot-delete-an-unknown-SA" instead of "unknown
  socket write error"
  * More randomness in some internal decisions (rekeying times)
  * Possible DoS based on seq-no rollover fixed
  * Locking problem on SMP fixed (could deadlock)
- Update to x509patch-0.9.7-freeswan-1.94:
  * Fix mem leak in send_delete()
- Update to x509patch-0.9.6:
  * New monitoring functions ipsec auto --listpubkeys,
--listcacerts and --listcrls
  * fswcert tool not used by pluto any more for locally stored
  certs
  * Mem leak in pub key insertion fixed
- Update to x509patch-0.9.5:
  * Rekeying failure for roadwarriors with multiple IPsec SAs
  fixed
* Tue Nov 27 2001 - garloff@suse.de
- Include documentation about interoperability with Win2k.
- Use filenames with x509 prefix for x509 docu
- Better clean up after build
* Tue Nov 27 2001 - garloff@suse.de
- Update x509 patch to version 0.9.4:
  * Support of several subnets in certificate based roadwarrior
  connections
  * Support of ISO-8859-1 character set in distinguished names
  * Support of MD2 hash
  * Fixed two potential dynamic memory allocation bugs
* Tue Nov 13 2001 - schwab@suse.de
- Fix last change.
* Mon Nov 12 2001 - ro@suse.de
- Configure.help patch only for >= 2.3
* Sat Nov 10 2001 - ro@suse.de
- re-diffed patch for Configure.help for 2.4.15pre1
* Sat Nov 10 2001 - garloff@suse.de
- Update to FreeS/WAN-1.92:
  * Address check for arriving packets in autokeyed tunnels
  * More selective on sending fragmentation needed ICMPs
  * quoting in shell scripts revisited
  * new newhostkey command to generate pub/priv key pair
  * rekey parameter to control rekeying
  * Better route diagnostics
  * %%trapsubnet eroute
  * Compatibility with misbehaving compression partners
  * Bugfixes and cleanups ...
- Update to X509-0.9.3-snapshot:
  * Send Cert Req if we have an own cert (interop. with Cisco
  IOS & PIX)
  * CA/CRLs do not need to be converted to binary (DER) format
  * Better syntax checking
  * Much more extensive documentation
* Sat Nov 10 2001 - garloff@suse.de
- Patch from Andi Kleen to make strace happy.
* Fri Nov 02 2001 - ro@suse.de
- adapt for changes in linux/net/Makefile (8021q was added)
* Fri Oct 19 2001 - schwab@suse.de
- Fix missing const.
* Fri Sep 21 2001 - garloff@suse.de
- Document that right/leftfirewall=yes should not be used
  (It uses ipfwadm!)
* Thu Sep 13 2001 - garloff@suse.de
- Work around yet another min/max change in the kernel :-(
* Mon Aug 20 2001 - garloff@suse.de
- Include patch for linux-2.4.9 (min/max issue)
- Update to x509-0.9.2:
  * dist. names can be in LDAP, openssl x509 -subject or old
  binary format.
  * del revoked cert keys upon renewal of ISAKMP SA.
  * log peer IDs of ISAKMP SAs (for roadwarriors).
  * fswcert 0.6.
* Mon Aug 06 2001 - garloff@suse.de
- Update to x509-0.9.1 patch: Handle missing directories properly.
- Link dynamically against openssl (-lcrypto)
- Make oldconfig after installing module, this way leaving
  consistent /proc/config.gz.
* Wed Jul 25 2001 - garloff@suse.de
- Added some $rc_done to setup script and correct exit status for
  rcipsec status to be 3 if stopped. Don't fail on already started
  service. Implement reload (as restart).
- Include /etc/ipsec.d/crls directory.
* Mon Jul 23 2001 - garloff@suse.de
- Fixed another missing dep which broke make -j builds.
* Mon Jul 23 2001 - garloff@suse.de
- Shutdown script does not return error any more if ipsec is not
  running.
- Allow parallel builds (make -j) of kernel module by correctly
  specifying dependencies
- Make kernel module compilation more robust by first doing an
  oldconfig, inserting the patches and then passing the arguments
  with yes to oldconfig again.
* Sat Jul 21 2001 - garloff@suse.de
- fswcert needs to link against libdl as new openssl needs it.
* Sat Jul 21 2001 - garloff@suse.de
- Add /etc/ipsec.d/cacerts dir to make X.509 0.9 patch work. (#9371)
- Disable stopping of service in %%preun script. (Leads to updating
  problems)
* Tue Jul 17 2001 - garloff@suse.de
- Remove k_deflt from #neededforbuild.
* Mon Jul 16 2001 - garloff@suse.de
- x509patch-0.9:
  Major release supporting CA certificate trust chains,
  certificate revocation lists (CRLs), and the subjectAltNames
  IpAddress (IPV4_ADDR), DnsName (FQDN), and rfc822Name (USER_FQDN)
* Fri Jul 13 2001 - garloff@suse.de
- Use /dev/urandom when calling rsasigkey during package build.
* Thu Jul 12 2001 - garloff@suse.de
- The 2.4 kernel module problems are solved in 1.91; therefore
  update to 1.91.
- Update x509 patch accordingly (0.8.5_1.91)
- Update x509 install docu
- Update to FreeS/WAN 1.91:
  * fixed memory leaks in KLIPS (kernel module)
  * works with current 2.4.5 kernel
  * fix spin-lock bug for SMP kernels (AH+ESP or compression)
  [ ... and many more. See CHANGES.]
* Thu May 10 2001 - garloff@suse.de
- bzip2 some sources. (Not freeswan-1.9.tar, as we want to leave
  the .sig intact.)
- km_freeswan builds in zz_freeswan now, i.e. as last module
  (preventing risks with lernel patching)
* Wed May 09 2001 - garloff@suse.de
- Change build process to use a km_freeswan subpackage to build
  kernel module.
* Fri Apr 27 2001 - garloff@suse.de
- Added #if KERNEL_VERSION_CODE statements to kernel module to
  make it compile with 2.4.4pre.
- Make kernel dep and version before everything else.
- Use of %%{kmoddir} to account for different places of kernel
  modules in 2.4 vs. 2.2.
* Thu Apr 26 2001 - garloff@suse.de
- Don't use macros in version number
- Update FreeS/WAN to 1.9 for recent 2.4.x support
- Update to corresponding X.509 support (0.8.2)
* Thu Apr 12 2001 - garloff@suse.de
- Also apply _confread.patch from the X.509 patches.
* Wed Dec 06 2000 - garloff@suse.de
- Made module compile with 2.4.0-test11+
  (IpDefaultTTL and pkt_bridged issues)
* Wed Dec 06 2000 - garloff@suse.de
- Update to FreeS/WAN 1.8
  * no more /dev/ipsec needed
  * support for RSA keys
  * support for recent 2.4.0-test kernels
  * many bugfixes ...
- Removed -g for kernel module generation
- Support for X.509 certificates w/ the strongsec patch
  (linked statically against openssl to avoid dependency)
- LSB conforming init script
- fswandes dropped
* Fri Nov 10 2000 - ro@suse.de
- neededforbuild modules modutils
* Thu Oct 19 2000 - garloff@suse.de
- Correct installation path for init.d scripts.
* Tue Jun 20 2000 - ro@suse.de
- fixed make oldconfig
* Mon Jun 05 2000 - garloff@suse.de
- Fix installation.
* Sat May 27 2000 - garloff@suse.de
- Makefile hack to avoid the compilation of all modules.
* Sat May 27 2000 - garloff@suse.de
- Upgrade to FreeS/WAN-1.4
- Include RFCs.tar.gz
* Thu Mar 16 2000 - garloff@suse.de
- Fix _all_ paths to expect files in /usr instead of /usr/local
* Wed Feb 16 2000 - garloff@suse.de
- Updated to FreeS/WAN-1.3
- Kernel config now using the config distributed w/ k_deflt
* Thu Feb 10 2000 - ro@suse.de
- replaced kernmod by k_deflt
* Wed Feb 09 2000 - ro@suse.de
- adapted kernel-patch (context in Space.c)
- tweaked kernel-config handling
* Mon Dec 13 1999 - ro@suse.de
- added gmp-fixes for ppc
* Mon Dec 13 1999 - ro@suse.de
- added configs for alpha and ppc
* Fri Dec 10 1999 - garloff@suse.de
- fswandes now actually has DES support enabled.
* Thu Dec 09 1999 - garloff@suse.de
- Make fswandes a module-only package, requiring freeswan.
* Wed Dec 08 1999 - garloff@suse.de
- Make statements about the insecurity of DES in the package
  description and rename the DES version to freeswan-insecure-des
* Wed Dec 08 1999 - garloff@suse.de
- Renamed spec for insecure DES enabled FreeS/WAN to fswandes.
* Tue Dec 07 1999 - garloff@suse.de
- Provide patch to enable insecure DES, but DON'T apply it.
- Update config to reflect latest config options.
* Tue Oct 26 1999 - garloff@suse.de
- Fixed setup script to use SuSE return codes.
- %%kversion now set correctly.
* Mon Oct 18 1999 - garloff@suse.de
- Changed file list handling.
* Sat Oct 16 1999 - garloff@suse.de
- Initial creation of freeswan package (FreeS/Wan-1.1).
  Tweaked Makefile to only compile a module and to install in /usr.
  README.SuSE, config and rc.config.ipsec created.
